Execution ID of the root workflow that initiated this execution chain.













Workflows Events Endpoints
Workflows API - events.












Examples
Real world code examples
Get Stream Events
GET /v1/workflows/events/stream#
Stream workflow events as Server-Sent Events (SSE).
One of root_workflow_exec_id, parent_workflow_exec_id or workflow_exec_id is required.
scope#
activity_name#
activity_id#
workflow_name#
workflow_exec_id#
root_workflow_exec_id#
parent_workflow_exec_id#
stream#
start_seq#
metadata_filters#
workflow_event_types#
last-event-id#
200
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/events/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/events/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnullGet Workflow Events
GET /v1/workflows/events/list#
Get Workflow Events
200
Successful Response
events#
List of workflow events.
next_cursor#
Cursor for pagination.
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/events/list \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/events/list \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"events": [
{
"attributes": {
"input": {
"value": "approved"
},
"task_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow"
},
"event_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"event_timestamp": 87,
"parent_workflow_exec_id": null,
"root_workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow",
"workflow_run_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
]
}{
"events": [
{
"attributes": {
"input": {
"value": "approved"
},
"task_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow"
},
"event_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"event_timestamp": 87,
"parent_workflow_exec_id": null,
"root_workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow",
"workflow_run_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
]
}